summaryrefslogtreecommitdiff
path: root/ruby.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ruby.sh')
-rwxr-xr-xruby.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/ruby.sh b/ruby.sh
index a1b8cbe..2e53384 100755
--- a/ruby.sh
+++ b/ruby.sh
@@ -21,7 +21,7 @@ if [ ! -e "$WGET" ]; then
fi
# Pkg
-LOG="/tmp/`basename $0`-log.txt"
+LOG="$HOME/tmp/`basename $0`-log.txt"
echo
echo "Ruby Enterprise edition ('$RUBY_DEST', '$LOG')."
@@ -38,13 +38,13 @@ else
fi
if [ ! $RUBY_DONE ]; then
- cd /tmp
+ cd $HOME/tmp
URI="http://rubyenterpriseedition.googlecode.com/files/$RUBY_VER.tar.gz"
- if ! [ -d "/tmp/$RUBY_VER" ]; then
+ if ! [ -d "$HOME/tmp/$RUBY_VER" ]; then
cmd="$WGET $URI" && run_cmd "$cmd" "Download"
cmd="tar xzf $RUBY_VER.tar.gz" && run_cmd "$cmd" "Unpack"
fi
- cmd="sh /tmp/$RUBY_VER/installer --dont-install-useful-gems --no-dev-docs --auto=$RUBY_DEST" && run_cmd "$cmd" "Install"
+ cmd="sh $HOME/tmp/$RUBY_VER/installer --dont-install-useful-gems --no-dev-docs --auto=$RUBY_DEST" && run_cmd "$cmd" "Install"
fi